{% extends "base.html" %}



{% block title %}
    {% if query %}
        {{ query }}
    {% else %}
        IRC bot logs.
    {% endif %}
{% endblock %}



{% block header %}
    {% if query %}
        <h1>Szukaj: {{query}}</h1>
    {% else %}
        <h1>Szukaj...</h1>
    {% endif %}
{% endblock %}



{% block body_text %}
    <div style="margin: 5px; text-align: right;">
        <form action="." method="GET">
            <label for="q">Przeszukaj logi: </label>
            <input type="text" name="q" value="{{ query|escape }}">
            <input type="submit" value="szukaj">
        </form>
    </div>
    <div class="center">
        {% if results %}
            <table class="irctable">
                <thead class="irctable">
                    <tr>
                        <th style="width: 30px;"> nr: </th>
                        <th style="width:140px;"> Wiek: </th>
                        <th style-"width: 120px;"> Nick: </th>
                        <th>Wiadomość</th>
                    </tr>
                </thead>
                {% for message in results %}
                    <tbody class="ircmsg" id="id_{{ forloop.counter0 }}">
                        <tr>
                            <td>{{forloop.counter}}</td>
                            <td style="font-size: 0.75em;">{{message.date|timesince }}</td>
                            <td>
                                <a href="/user/{{message.user_id|escape}}">{{message.user_id}}</a>
                            </td>
                            <td style="text-align:left">{{message.text|escape}}</td>
                        </tr>
                    </tbody>
                {% endfor %}
            </table>
        {% else %}
            {% if query %}
                <p> 
                    Nic nie znaleziono dla 
                    <span style="background:#FFFFBD">{{query}}</span>
                </p>
            {% else %}
                <p>Sprawdź czy znajdę ;)</p>
            {% endif %}
        {% endif %}

    </div>
{% endblock %}

